/*==========================================================================
  FOOTER
  ========================================================================== */

.footer {
  padding-top: 60px;
  padding-bottom: 70px;
  background-color:  $color-primary;

  .social-list {
    align-items: center;
    justify-content: center;

    a {
      color: $color-white;
    }

    .icon {
      width: 33px;
      height: 33px;

      @include mq('tablet', 'max') {
        width: 25px;
        height: 25px;
      }
    }
  }

  @include mq('laptop', 'max') {
    padding-top: 50px;
    padding-bottom: 50px;
  }

  @include mq('tablet', 'max') {
    padding-top: 30px;
    padding-bottom: 30px;
  }
}

.footer__top {
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin-bottom: 30px;
  padding-left: 20px;
  padding-right: 20px;

  @include mq('laptop', 'max') {
    flex-direction: column;
    margin-bottom: 0;
    padding-left: 0;
    padding-right: 0;
  }
}

.footer__group {
  width: 33.333%;
  display: flex;
  justify-content: center;

  @include mq('laptop') {

    &:first-child {
      justify-content: flex-start;
    }

    &:last-child {
      justify-content: flex-end;
    }
  }

  @include mq('laptop', 'max') {
    width: 100%;

    + .footer__group {
      margin-top: 30px;
    }
  }

}

.footer__bottom {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding-left: 20px;
  padding-right: 20px;

  @include mq('laptop', 'max') {
    flex-direction: column;
    padding-left: 0;
    padding-right: 0;
  }

  .footer__group {

    //@include mq('laptop') {
    //  align-self: flex-end;
    //}

    @include mq('laptop', 'max') {

      &:first-child {
       order: 2;
        margin-top: 20px;
      }
    }
  }
}

.footer__logo {

  .logo__image {
    width: 174px;
    height: 107px;
  }
}

.footer__nav {
  display: flex;
  flex-direction: column;
  text-align: left;
  min-width: 300px;

  @include mq('laptop', 'max') {
    min-width: 0;
    text-align: center;
  }

  li {

    + li {
      margin-top: 20px;

      @include mq('tablet', 'max') {
        margin-top: 10px;
      }
    }
  }

  a {
    color: $color-white;
    font-weight: $font-weight-regular;
    text-decoration: none;

    &:hover {
      text-decoration: underline;
    }
  }
}


/* end footer */
